define([ 'durandal/app', 'durandal/system', 'knockout', 'services/datacontext', 'services/logger'], function (app, system, ko, dataservice, logger) {

    return {
        users: ko.observableArray([]),
        activeDisease: ko.observable(null),
        refresh: function(){
            dataservice.getUserPartials(this.users, true);
        },

        activate: function(){
            this.refresh();
        }
    };

});